#!/bin/sh

latex_file='NEMO_manual'
latex_opts='-shell-escape -interaction=nonstopmode'

cd tex_main

latex 		${latex_opts} 				${latex_file}
makeindex 	-s ${latex_file}.sty 	${latex_file}
bibtex 										${latex_file}

pdflatex 	${latex_opts} 				${latex_file}

mv ${latex_file}.pdf ..

cd -

exit 0
